# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LinearInterpolatorFloat Class Reference

Interpolates `float` values using a LinearInterpolator. More...

`#include <LinearInterpolator.hpp>`

Inheritance diagram for vl::LinearInterpolatorFloat:

List of all members.

## Public Member Functions
| LinearInterpolatorFloat ()
| LinearInterpolatorFloat (const std::vector< float > &path)
float | computePoint (float t) const
| Samples the interpolator at the given point.
LinearInterpolatorFloat_T * | interpolator ()
const LinearInterpolatorFloat_T * | interpolator () const
void | setInterpolator (LinearInterpolatorFloat_T *interpolator)
## Protected Attributes
vl::ref < LinearInterpolatorFloat_T > | mInterpolator

## Detailed Description

Interpolates `float` values using a LinearInterpolator.

## Constructor & Destructor Documentation

vl::LinearInterpolatorFloat::LinearInterpolatorFloat | ( |  | ) | `[inline]`

vl::LinearInterpolatorFloat::LinearInterpolatorFloat | ( | const std::vector< float > & | path | ) | `[inline]`

## Member Function Documentation

float vl::LinearInterpolatorFloat::computePoint | ( | float | t | ) | const`[inline, virtual]`

Samples the interpolator at the given point.

Implements vl::InterpolatorFloat.

LinearInterpolatorFloat_T* vl::LinearInterpolatorFloat::interpolator | ( |  | ) | `[inline]`

const LinearInterpolatorFloat_T* vl::LinearInterpolatorFloat::interpolator | ( |  | ) | const`[inline]`

void vl::LinearInterpolatorFloat::setInterpolator | ( | LinearInterpolatorFloat_T * | interpolator | ) | `[inline]`

## Member Data Documentation

vl::ref<LinearInterpolatorFloat_T> vl::LinearInterpolatorFloat::mInterpolator`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/LinearInterpolator.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.